Package fr.gouv.vitam.collect.internal.core.helpers

# Class MetadataHelper

java.lang.Object
fr.gouv.vitam.collect.internal.core.helpers.MetadataHelper

public class MetadataHelper extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DYNAMIC_ATTACHEMENT`
  `static final String`
  `STATIC_ATTACHMENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ObjectGroupResponse`
  `createObjectGroup(String transactionId, String fileName, String objectId, String newFilename, Optional<FormatIdentifierResponse> formatOpt, String digest, Long size, String originatingAgency, String unitId)`
  `static ArchiveUnitModel`
  `createUnit(String transactionId, LevelType descriptionLevel, String path, String title, String unitParent, String originatingAgency)`
  `static Set<String>`
  `findUnitParent(com.fasterxml.jackson.databind.node.ObjectNode unit, List<MetadataUnitUp> unitUps, Map<String,String> attachmentUnitsBySystemId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### STATIC_ATTACHMENT

    public static final String STATIC_ATTACHMENT
    See Also:
      - Constant Field Values

  - ### DYNAMIC_ATTACHEMENT

    public static final String DYNAMIC_ATTACHEMENT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### createUnit

    public static ArchiveUnitModel createUnit(String transactionId, LevelType descriptionLevel, String path, String title, String unitParent, String originatingAgency)

  - ### createObjectGroup

    public static ObjectGroupResponse createObjectGroup(String transactionId, String fileName, String objectId, String newFilename, Optional<FormatIdentifierResponse> formatOpt, String digest, Long size, String originatingAgency, String unitId)

  - ### findUnitParent

    public static Set<String> findUnitParent(com.fasterxml.jackson.databind.node.ObjectNode unit, @Nonnull List<MetadataUnitUp> unitUps, Map<String,String> attachmentUnitsBySystemId)